New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Avatars

Update the setup of an avatar project that has not started

PATCH
/api/v1/talking-head/videos/{video_id}

Path Parameters

video_id*Video Id

Request Body

application/json
  1. body
wizard_step?|

Setup step the draft is on, 0 to 3

headshot_base64?|

JPEG, PNG or WebP headshot

headshot_generated?|

The headshot is an AI avatar, sent with headshot_base64

avatar_id?|

Saved avatar the photo came from

upload_base64?|

WAV speech to animate when source is upload

upload_name?|

File name of the uploaded speech

source?|null
history_id?|

Saved generation to animate when source is history

voice_id?|null
voice_source?|null
model_family?|

Voice model that speaks the text

voice_design?|

Voice description for a designed voice, or style for a built-in one

speech_text?|

Text to speak when source is speech

language?|null
scene?|null
resolution?|null
fps?|

Frame rate of the video

engine?|

Video model

subtitle_params?|null
params?|

Video model settings by name, from the model's params

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PATCH 'http://127.0.0.1:8100/api/v1/talking-head/videos/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null